Bug 187701 - can't modify security level , list index out of range
Summary: can't modify security level , list index out of range
Status: CLOSED DUPLICATE of bug 186554
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-02 23:48 UTC by Sergio Monteiro Basto
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-03 13:38:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sergio Monteiro Basto 2006-04-02 23:48:36 UTC
Description of problem:
can't modify any option in system-config-securitylevel because when press ok
give me one python error : list index out of range

Version-Release number of selected component (if applicable):
system-config-securitylevel-1.6.16-1

How reproducible:
 upgrade from FC4 to FC5 in text mode 


Steps to Reproduce:
1.system-config-securitylevel
2.press ok 

Actual results:
Traceback (most recent call last):
  File "/usr/share/system-config-securitylevel/securitylevel.py", line 240, in
okClicked
    rc = self.apply()
  File "/usr/share/system-config-securitylevel/securitylevel.py", line 402, in apply
    self.selinuxPage.apply()
  File "/usr/share/system-config-securitylevel/selinuxPage.py", line 379, in apply
    type=self.getType()
  File "/usr/share/system-config-securitylevel/selinuxPage.py", line 371, in getType
    return self.types[self.selinuxTypeOptionMenu.get_active()]
IndexError: list index out of range


Expected results:
modify security level

Additional info:

Comment 1 Sergio Monteiro Basto 2006-04-03 00:17:31 UTC
Install selinux-policy and selinux-policy-targeted is the solution.
Maybe system-config-securitylevel should depend on selinux-policy-targeted


Comment 2 Chris Lumens 2006-04-03 13:38:47 UTC

*** This bug has been marked as a duplicate of 186554 ***


Note You need to log in before you can comment on or make changes to this bug.